OpenCV: cv::viz::WCloudCollection Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::viz::WCloudCollection Class Reference
3D Visualizer » Widget

This 3D Widget defines a collection of clouds. : More...

`#include "widgets.hpp"`

Inheritance diagram for cv::viz::WCloudCollection:

## Public Member Functions
| WCloudCollection ()
void | addCloud (InputArray cloud, InputArray colors, const Affine3d &pose=Affine3d::Identity())
| Adds a cloud to the collection. More...
void | addCloud (InputArray cloud, const Color &color=Color::white(), const Affine3d &pose=Affine3d::Identity())
| Adds a cloud to the collection. More...
void | finalize ()
| Finalizes cloud data by repacking to single cloud. More...
Public Member Functions inherited from cv::viz::Widget3D
| Widget3D ()
void | applyTransform (const Affine3d &transform)
| Transforms internal widget data (i.e. points, normals) using the given transform. More...
Affine3d | getPose () const
| Returns the current pose of the widget. More...
void | setColor (const Color &color)
| Sets the color of the widget. More...
void | setPose (const Affine3d &pose)
| Sets pose of the widget. More...
void | updatePose (const Affine3d &pose)
| Updates pose of the widget by pre-multiplying its current pose. More...
Public Member Functions inherited from cv::viz::Widget
| Widget ()
| Widget (const Widget &other)
| ~Widget ()
template<typename _W >
_W | cast ()
| Casts a widget to another. More...
template<>
Widget2D | cast ()
| Utility exports. More...
template<>
Widget3D | cast ()
template<>
WLine | cast ()
template<>
WPlane | cast ()
template<>
WSphere | cast ()
template<>
WCylinder | cast ()
template<>
WArrow | cast ()
template<>
WCircle | cast ()
template<>
WCone | cast ()
template<>
WCube | cast ()
template<>
WCoordinateSystem | cast ()
template<>
WPolyLine | cast ()
template<>
WGrid | cast ()
template<>
WText3D | cast ()
template<>
WText | cast ()
template<>
WImageOverlay | cast ()
template<>
WImage3D | cast ()
template<>
WCameraPosition | cast ()
template<>
WTrajectory | cast ()
template<>
WTrajectoryFrustums | cast ()
template<>
WTrajectorySpheres | cast ()
template<>
WCloud | cast ()
template<>
WPaintedCloud | cast ()
template<>
WCloudCollection | cast ()
template<>
WCloudNormals | cast ()
template<>
WMesh | cast ()
template<>
WWidgetMerger | cast ()
double | getRenderingProperty (int property) const
| Returns rendering property of the widget. More...
Widget & | operator= (const Widget &other)
void | setRenderingProperty (int property, double value)
| Sets rendering property of the widget. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::viz::Widget
static Widget | fromPlyFile (const String &file_name)
| Creates a widget from ply file. More...

## Detailed Description

This 3D Widget defines a collection of clouds. :

Note
  In case there are four channels in the cloud, fourth channel is ignored.

## Constructor & Destructor Documentation

## ◆ WCloudCollection()

cv::viz::WCloudCollection::WCloudCollection | ( |  | ) |

## Member Function Documentation

## ◆ addCloud() [1/2]

void cv::viz::WCloudCollection::addCloud | ( | InputArray | cloud,
|  | InputArray | colors,
|  | const Affine3d & | pose = `Affine3d::Identity()`
| ) |  |

Adds a cloud to the collection.

Parameters

  cloud | Point set which can be of type: CV_32FC3, CV_32FC4, CV_64FC3, CV_64FC4.
  colors | Set of colors. It has to be of the same size with cloud.
  pose | Pose of the cloud. Points in the cloud belong to mask when they are set to (NaN, NaN, NaN).

## ◆ addCloud() [2/2]

void cv::viz::WCloudCollection::addCloud | ( | InputArray | cloud,
|  | const Color & | color = `Color::white()`,
|  | const Affine3d & | pose = `Affine3d::Identity()`
| ) |  |

Adds a cloud to the collection.

Parameters

  cloud | Point set which can be of type: CV_32FC3, CV_32FC4, CV_64FC3, CV_64FC4.
  color | A single Color for the whole cloud.
  pose | Pose of the cloud. Points in the cloud belong to mask when they are set to (NaN, NaN, NaN).

## ◆ finalize()

void cv::viz::WCloudCollection::finalize | ( |  | ) |

Finalizes cloud data by repacking to single cloud.

Useful for large cloud collections to reduce memory usage

The documentation for this class was generated from the following file:

- viz/include/opencv2/viz/widgets.hpp